package com.example.services

import scala.concurrent.Future
import com.example.models._

// trait LibraryService {
//   def findBookById(id: Long): DBIO[Option[BooksRow]]

//   def findBooksWithAuthor: DBIO[Seq[(BooksRow, AuthorsRow)]]

//   def insertAuthor(author: Author): DBIO[AuthorsRow]

//   def authorToRow(author: Author): AuthorsRow
//   def bookToRow(book: Book): BooksRow
// }

trait LibraryService {
  // Simple function that returns a book
    def findBookById(id: Long): Future[Option[Book]] 

    // Simple function that returns a list of books with it's author
    def findBooksWithAuthor: Future[Seq[(Book, Author)]] 

    // Insert a book and an author composing two DBIOs in a transaction
    def insertBookAndAuthor(book: NewBook, author: NewAuthor): Future[(Long, Long)] 

    def getAuthorsForBook(id: Long): Future[Seq[(Author, Book)]]
}
