package com.example.user



import scala.concurrent.Future
import java.time.Instant
/**
 * An implementation dependent DAO.  This could be implemented by Slick, Cassandra, or a REST API.
 */
trait CarDAO {

  def lookup(id: String): Future[Option[Car]]

  def all: Future[Seq[Car]]

  def update(user: Car): Future[Int]

  def delete(id: String): Future[Int]

  def create(user: Car): Future[Int]

  def close(): Future[Unit]
}

/**
 * Implementation independent aggregate root.
 */
case class Car(id: String, model: String, createdAt: Instant, updatedAt: Option[Instant])
